<?php

if( ! class_exists('bring_back_Toolkit') ) {
    return;
}

/**
 * Page Title Setting
 */

// Site Layout Section

bring_back_Kirki::add_section('page_title_panel', array(
    'title' => esc_html__('Breadcrumbs', 'bring-back'),
    'priority' => 65,
));

// Background Color

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'background_color',
    'label' => __('Background Color', 'bring-back'),
    'section' => 'page_title_panel',
    'default' => '#fef8f1',
    'output' => array(
        array(
            'element' => '.breadcrumb-wrapper,.site-header',
            'property' => 'background-color',
        )
    ),
));

// Background Image

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'image',
    'settings' => 'background_img',
    'label' => __('Background Color', 'bring-back'),
    'section' => 'page_title_panel',
    'transport' => 'auto',
    'default' => get_template_directory_uri() . '/images/shape/dot-circle.png',
    'output' => array(
        array(
            'element' => '.breadcrumb-wrapper',
            'property' => 'background-image',
        )
    ),
));

// Color

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'color',
    'label' => __('Color', 'bring-back'),
    'section' => 'page_title_panel',
    'default' => '#000',
    'output' => array(
        array(
            'element' => '.page-title',
            'property' => 'color',
        )
    ),
));

// Font Size

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'font_size',
    'label' => esc_html__('Font Size', 'bring-back'),
    'section' => 'page_title_panel',
    'default' => 35,
    'choices' => array(
        'min' => '14',
        'max' => '50',
        'step' => '1',
    ),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.page-title',
            'property' => 'font-size',
            'units' => 'px'
        ),
    ),
));

// Padding

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'padding_top',
    'label' => esc_html__('Padding Top', 'bring-back'),
    'section' => 'page_title_panel',
    'default' => '60',
    'choices' => array(
        'min' => '5',
        'max' => '100',
        'step' => '1',
    ),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.breadcrumb-wrapper',
            'property' => 'padding-top',
            'units' => 'px',
        ),
    ),
));


// Padding Bottom

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'padding_bottom',
    'label' => esc_html__('Padding Bottom', 'bring-back'),
    'section' => 'page_title_panel',
    'default' => '100',
    'choices' => array(
        'min' => '5',
        'max' => '150',
        'step' => '1',
    ),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.breadcrumb-wrapper',
            'property' => 'padding-bottom',
            'units' => 'px',
        ),
    ),
));