<?php

/**
 * General Setting
 */

bring_back_Kirki::add_panel('general_panel', array(
    'priority' => 10,
    'title' => esc_html__('General Settings', 'bring-back'),
    'description' => esc_html__('General Settings', 'bring-back'),
));

// Site Layout Section

bring_back_Kirki::add_section('site_layout_section', array(
    'title' => esc_html__('Site Width', 'bring-back'),
    'panel' => 'general_panel',
    'priority' => 10,
));

// Site Layout

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'radio-buttonset',
    'settings' => 'site_layout',
    'label' => __('Site Layout', 'bring-back'),
    'section' => 'site_layout_section',
    'default' => 'wide',
    'priority' => 10,
    'choices' => array(
        'wide' => esc_html__('Wide', 'bring-back'),
        'boxed' => esc_html__('Boxed', 'bring-back'),
    ),
));

// Body Background Image

bring_back_Kirki::add_section('background_image', array(
    'title' => __('Body Background Image', 'bring-back'),
    'theme_supports' => 'custom-background',
    'panel' => 'general_panel',
    'priority' => 20,
));

// Boxed Layout Color

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'boxed_layout_bg',
    'label' => esc_html__('Background Color ( Boxed Layout only )', 'bring-back'),
    'section' => 'site_layout_section',
    'default' => '#fcfcfc',
    'priority' => 25,
    'output' => array(
        array(
            'element' => 'body.boxed-layout',
            'property' => 'background-color',
        ),
    ),
));

// Margin Top
//
//bring_back_Kirki::add_field('bring_back', array(
//    'type' => 'slider',
//    'settings' => 'section_margin_top',
//    'label' => esc_html__('Margin Top', 'bring-back' ),
//    'description' => esc_html__('Margin Top not work on front page', 'bring-back' ),
//    'section' => 'site_layout_section',
//    'default' => 0,
//    'transport' => 'auto',
//    'choices' => array(
//        'min' => 5,
//        'max' => 100,
//        'step' => 1,
//    ),
//    'output' => array(
//        array(
//            'element' => '.margin-top',
//            'property' => 'margin-top',
//            'units' => 'px',
//        ),
//    )
//));